### Constructor

# Adw SwipeTrackernew

#### Declaration [src]

    AdwSwipeTracker*
    adw_swipe_tracker_new (
      AdwSwipeable* swipeable
    )

#### Description [src]

Creates a new `AdwSwipeTracker` for `widget`.

#### Parameters

`swipeable`

  Type: `AdwSwipeable`

  A widget to add the tracker on.

  The data is owned by the caller of the function.

#### Return value

Type: `AdwSwipeTracker`

The newly created `AdwSwipeTracker`

The caller of the function takes ownership of the data, and is responsible for freeing it.